\version "2.11.64"
\include "../global-op2.ly"


#(define (scordatura-pitch p)
  (let* ((o (ly:pitch-octave p))
         (a (* 4 (ly:pitch-alteration p)))
         (n (ly:pitch-notename p)))

   (cond
     ((or (< o -1) (and (= o -1) (< n 4)))
      (set! a (+ a 2))))

    (if (< n 0) (begin (set! o (- o 1)) (set! n (+ n 7))))
    (if (> n 6) (begin (set! o (+ o 1)) (set! n (- n 7))))

    (ly:make-pitch o n (/ a 4))))

#(define (scordatura music)
  (let* ((es (ly:music-property music 'elements))
         (e (ly:music-property music 'element))
         (p (ly:music-property music 'pitch)))
    (if (pair? es)
        (ly:music-set-property!
         music 'elements
         (map (lambda (x) (scordatura x)) es)))
    (if (ly:music? e)
        (ly:music-set-property!
         music 'element
         (scordatura e)))
    (if (ly:pitch? p)
        (begin
          (set! p (scordatura-pitch p))
          (ly:music-set-property! music 'pitch p)))
    music))

scordaturaMusic =
#(define-music-function (parser location m)
                                        (ly:music?)
                        (scordatura m))

violaone = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = \markup{ \center-column {\line { Viola 1 }}}
  \clef alto \key e \minor \time 4/4
  \tempo "Allegro" 4=56

  \partial 4 s4 \bar "||"

\relative c'{
r2\fermata r4 r8
e8^\markup{\italic "recitative-ish" }\mfespr
e8(_ \glissando b'8 ~ b4 ~ b8) g a8([ r16 c)]
b16( a g) r b16(\downbow[ a) r c16\downbow] b4. \breathe e,8\upbow
e8( \glissando b'8 ~ b) g a g fis8[ r16 e]
dis2. r8 e8
e8( \glissando b'8 ~ b) g\< a c e fis
\grace {a16(} g2.\!\>)
fis8 e\!
e16( b8.) b16( e8.) d8 b a16(\upbow[ b) r fis\upbow]
e2. r8 b8

\tempo "Poco piu mosso"
<e b e,>8. fis16 g8 b g'4 fis8 e
e8.\upbow fis16\upbow e8 d b4. a8
b16( e8) b16( e8) b a8.\upbow c16\upbow b8 fis
dis4. e8 fis \breathe fis--\< fis-- fis--
g4.\f g8
  \once \override Glissando #'gap = #0.5
  \once \override Glissando #'extra-offset = #'(-0.5 . 0)
  fis( \glissando d!4) fis8
g8.\downbow a16\downbow b8 a g4. g16 fis
e16 e8. g8. fis16 e16 e8 b16 a8 b16 a
g4. fis8 e4. r8
\bar "||"

\tempo "Poco piu mosso"
d'4\downbow\f fis8 a c4 ~ c16 c8( d16)
b8.\upbow c16\upbow b8 a g4 r8 d
e16([ g8) e16(] c'8.) e,16( d'8) d e d
c8.\downbow d16\downbow c8 b a \breathe d,\upbow e fis
g4 d8 b b'4 g8 d
c'8.\downbow d16\downbow c8 b a4\upbow^4 ~ a16 a\upbow^0 fis a
b( g d) b'( g d) b' g
a( fis d) a'( fis d) c' d,
b'16-.[ r g16( a-.)] r fis-.[ r d] g,4 r8 \breathe
e'\mfespr
\bar "||"
\tempo "Tempo primo"
e8( \glissando b'8 ~ b4 ~ b8) g a8([ r16 c)]
b16( a g) r b16([\downbow a) r c16]\downbow b4\upbow \breathe e,8[(\upbow r16 e16)]
e8( \glissando b'8 ~ b8) g a g fis8[ r16 a] 
dis,4. c8 b8 \breathe b--\> a16( g) fis8--
<g e>4.\mp <g e>8 <b e,>4 <c e,>
\grace { <b d,>16( }
<a d,>4.) <a d,>8 <b d,>4 <a d,>
<g c,>4. <g c,>8 <a c,>4 <b c,>
<a d,>2( d8)^4 \breathe d^0 fis^3 c'^2
b4. c8 d( g) fis( g)
d4 e8 d c4 ~ c16 c( d c)
b4 a8 g a4 d,
% tweak for bug
\once \override Slur #'Y-extent = #'(0 . 3)
g,8(^\markup{ rit } d' g^1 d' g)-- r8 r4
}
\bar "|." } %***************************************
violatwo = \new Staff {
  \set Staff.midiInstrument = "viola"
%  \set Staff.instrumentName = \markup { \column { "Viola 2" "scorditura" "C to B" } }
  \set Staff.instrumentName = \markup { \center-column { "Viola 2"
\bracket \center-column {

"scorditura" "C to B" } }}
  \clef alto \key e \minor \time 4/4

\partial 4
\relative c {
\tiny
\override Stem #'transparent = ##t
<b g' d' a'>4
\normalsize
}
\override Stem #'transparent = ##f
\bar "||"

\scordaturaMusic \transpose c c

\relative c { 
e1\fermata\mp ~
e1 ~
e ~
e2\< <<c2 {s4.. s32\!} >>
b1\f\>
e1\! ~
e
e2 d
e1 ~
e8 r r4 e'4\mf\downbow d8 c
b2 g4.^0 fis8^4
e2 fis4.\upbow a8\upbow
b2 ~ b8 \breathe b8--\< a16( g)^0 fis8--^4
e2\f b
c2 e
g4 b c8.\downbow d16\downbow fis4
e4. fis8 g4. r8

c8\mf\downbow( b) a fis d( c) b a
g4.^0 fis8^4 e4 r4
c'4 a b g
a fis c' b8( a)
g2 d
c d
g^0 fis^4
d16 d r8 fis16[ r a] r b4 r8 \breathe r8

e,1 ~
e ~
e2 c\<
b2\! r8 b''8--\fdolceespr \upbow b-- a--
b2. c4
d4.\< d8\upbow ~ d d\upbow e fis 
g2^3 a4 g\!
fis4.^3\>\upbow e8\upbow d \breathe d d a\!
g4.\mf a8 b4 g
b4 c8 b a2
g4 d c a
b4.(^\markup{rit} a8 g8)--^0 r8 r4

}
\bar "|." } %****************************************


\bookpart {
  \header {
    title = "Moderately new wine in somewhat old bottles"
    opus = "Op. 2 No. 5"
    piece = \markup{ \column {\line {Viola 2: \concat {G \raise #0.5
\natural} is the open G string; \concat {F \raise #0.5
\doublesharp} is to be played}
\line{on the C string (and thus sounds like an \concat {F \raise #0.5
\sharp ).}}}}

%subsubtitle = "Viola 2 scorditura C to B"

    fromYear="2003 -"
    compdate= "Composed Nov - Dec 2003, edited July 2005."
  }
  \score { \new StaffGroup <<
      \violaone
      \violatwo
  >> }
  \paper {
    between-system-padding = #0.2
    ragged-last-bottom=##f
  }
  %\midi{}
}

