\version "2.11.62"
compoundTimeSignature = #(define-music-function
  (parser layout timesig compound) (list? list?)
  #{
    % graphical display
    \once \override Staff.TimeSignature #'Y-offset = #3
    \once \override Staff.TimeSignature #'stencil = #ly:text-interface::print
    \once \override Staff.TimeSignature #'text = #(markup
       ;; parenthetical display of compound-ness
       #:column(
        #:small #:line(
          #:concat ( "("
           ;; list the additive portions of the time signature,
           ;; adding "+" between items.
           (make-line-markup (list-insert-separator
             (map (lambda (n)
                 (markup (number->string n)))
              $compound)
             (markup "+")))
          ")"
         ))
       #:override '(baseline-skip . 0)
      ;; main time signature display
      (#:number #:line(
         #:column(
           (number->string (car $timesig))
           (number->string (cadr $timesig)))
         ))))

    % measure length + beaming
    \set Timing.timeSignatureFraction = #(cons (car $timesig) (cadr $timesig))
    \set Timing.beatLength = #(ly:make-moment 1 (cadr $timesig) 0 1)
    \set Timing.beatGrouping = $compound
    \set Timing.measureLength = #(ly:make-moment (car $timesig) (cadr $timesig) 0 1)
  #})

